# outputs.tf
output "instance_id" {
  description = "ID of the instance"
  value       = openstack_compute_instance_v2.app_server.id
}

output "instance_public_ip" {
  description = "Public IP address of instance"
  value       = openstack_networking_floatingip_v2.fip_1.address
}


output "private_key" {
  description = "Private key for SSH access"
  value       = tls_private_key.my_generated_key.private_key_pem
  sensitive   = true
}