variable "os_access_key" {
  description = "OpenStack Swift Access Key"
  type        = string
}

variable "os_secret_key" {
  description = "OpenStack Swift Secret Key"
  type        = string
}

variable "project_name" {
  description = "Name of the project"
  type        = string
  default     = "jenkins-qcm"
}

variable "instance_name" {
  description = "Name of the instance"
  type        = string
  default     = "jenkins-qcm"
}

variable "secgrp_name" {
  description = "Name of the security group"
  type        = string
  default     = "jenkins-qcm"
}

variable "bucket_name" {
  description = "Name of the OpenStack Swift container"
  type        = string
  default     = "jenkins-qcm"
}

variable "key_name" {
  description = "Name of the SSH key"
  type        = string
  default     = "jenkins-qcm"
}

variable "private_key_path" {
  description = "Destination for SSH key"
  type        = string
  default     = "~/.ssh/"
}
